2019-10-16 12:11 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001671FSSCPmodelspublic2012-10-29 16:26
ReporterMp-Ryan 
Assigned ToEchelon9 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.14 
Summary0001671: Collision detection problems in 3.6.10 build rev 4608
DescriptionDerelict mission: "The Sting"
Build: 3.6.10 rev 4608 posted by chief
MediaVPs package: Both of 3.6.8z or 3.6.10 beta

The type of problem appears to be in collision detection, which doesn't have a Mantis category unto itself so I've selected models.

During this mission, a Sobek passes through an Orion model (see screenshots) when it should either collide, or navigate around. In addition, a 5th member of Rapier wing, consisting of Myrmidons, is consistently absent. I am speculating that it too is trapped within the Orion model.

I have not yet opened the mission in FRED.

This problem did not occur with the 3.6.9 final build.

Screenshots (3) are attached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009246

Mp-Ryan (reporter)

After a quick look in FRED:
-The Sobek should be dodging the Orion.
-There appears to be a bug with the fighter count. Rapier wing consists of only four fighters yet when the second wave arrives there are five, which leaves a positive count of one remaining even when all ships present in the mission other than the Orion have been destroyed.

No idea what could be causing this.

~0009247

Mp-Ryan (reporter)

After testing with 3.6.9 final.

-The Sobek should follow a waypoint course away from the Orion. It does so in 3.6.9. It doesn't not do so in this latest build. Reason presently unknown as all waypoint are present in FRED and necessary events are also present.

-No fifth Myrmidon listed in directives list in 3.6.9, but it is always listed in 3.6.10. The fifth fighter does not exist in the FRED'd mission.

With this in mind, while collision detection does appear to be a problem (based upon the screenshots), the larger issue is:
1. Why is the Sobek not following its waypointed course?
2. Why is the game including a non-existent fighter?

~0009248

Mp-Ryan (reporter)

More testing. This time with Taylor's XT0314 build.

This build plays out the mission just fine, the same as 3.6.9. Whatever changes have caused the bug appear to have been entered into SVN sometime between when taylor created that build and April, when Chief checked it out.

~0009252

Tolwyn (reporter)

Yes indeed, latest trunk build shows this strange behavior. We've run into this issue when a lot of ships are in the mission. Usually just hostile ships are affected.

~0009878

chief1983 (administrator)

Bumping to high since this looks like a regression that should be checked. Wondering if this is a combination of bugs as well, collision as well as waypoint ignoring.

~0009880

Zacam (administrator)

The Orion seems to like being non-collision violated by both the Sobek and the Hatshepsut "shovel" as both will clip right through it.

~0009883

taylor (administrator)

Someone just needs to go through and narrow down when the bug was introduced since there is over 2 months worth of commits between the Xt0314 build and rev 4608. I gave the logs a quick look, but there are there has got to be nearly 130 commits between those builds which makes it a pain to go though.

~0009888

Wanderer (developer)

When exactly in the mission was this supposed to happen? I was played the 'The Sting' mission on easy difficulty level for four times and couldn't see anything like this happening using r4870.

If possible can some one who sees this effect make a mission where it repeatedly appears?

~0010392

chief1983 (administrator)

Guys, this was marked as a need to fix for 3.6.10, but unless we get some better back and forth going I have no problem bumping it back down in priority, seeing as not many people are going to be affected by it. If anyone concerned about getting it fixed helped narrow down where it was introduced (there's plenty of builds between those dates to try out) I'm sure it would help too.

~0010433

chief1983 (administrator)

Taking out of the fix for next release filter.

~0010758

KeldorKatarn (reporter)

I'm not sure if this is the same issue I encountered... but...

I know a way how I was able to pretty much always break collision detection:

Put a waypoint somewhere, then create an
every-time (true)
SEXP node and move the waypoint..
For example make the SEXP keep the waypoint always 500 meters on the z-axis behind a certain ship or something.
From what I know it doesn't even matter if that ship is moving.. as soon as a waypoint is moved on regular intervals collision detection is broken for some reason. From what I could see it seems like colission detection is "offset" somehow, meaning one can fly through the front part of a ship but collides in empty space in the rear and stuff like that.
I don't really see a pattern anywhere, but this is what caused it for Saga.

We tried to have a repositioned waypoint in some mission and later solved the mission differently, but I was able to narrow down the issue with the collision detection to this.

So maybe this will give someone a starting point. if this bug is caused not just by this but by other stuff as well, this should at least provide a fool proof way to reproduce it.

~0010872

portej05 (reporter)

Last edited: 2009-05-08 14:34

I don't know if the waypoints are driven by the autopilot/AI (my guess is that they are), but line 1061 in autopilot.cpp is assuming that the wing number and ship number are the same.

This:
ai_goal *aigp = &Wings[i].ai_goals[j];

should probably be this:
ai_goal *aigp = &Wings[Ships[i].wingnum].ai_goals[j];

(cheers kara)

EDIT: Sorry, wrong issue!

~0010938

chief1983 (administrator)

Well since this already got bumped I'm going to tweak it. Putting it back to normal and unassigned, since with KK's info someone might be able to figure out what's going on now.

~0013403

Echelon9 (developer)

Still prevalent? Could very well be fixed, even through new mediavps

~0013405

chief1983 (administrator)

Normally if someone abandons a bug, I'd say close it, but in this case I'd still prefer a coder took one more peek at it based on Keldor's last statements about it.

~0013795

MjnMixael (manager)

Confirmed with the attached mission based on Keldor's suggestion.

~0013810

Echelon9 (developer)

Last edited: 2012-07-03 08:33

View 2 revisions

Sorry, I'm not sure anything in that mission jumped out at me as "wrong".

I see the Orion and the Poseidon, and a few craft defending the Orion by flying around it. Could you highlight what is being reproduced by this mission?

~0013812

MjnMixael (manager)

Last edited: 2012-07-03 09:36

View 2 revisions

Oh, sorry... Try to collide with the Orion.

Given this is a bug about collision, I had assume people would try to collide with things.

~0014002

Echelon9 (developer)

Closing this one. If anyone else finds collision problems, please open a new issue report.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-26 18:58 Mp-Ryan New Issue
2008-04-26 18:58 Mp-Ryan File Added: crazyvasudandrivers.jpg
2008-04-26 18:58 Mp-Ryan File Added: crazyvasudandrivers2.jpg
2008-04-26 18:58 Mp-Ryan File Added: crazyvasudandrivers3.jpg
2008-04-26 19:16 Mp-Ryan Note Added: 0009246
2008-04-26 19:44 Mp-Ryan Note Added: 0009247
2008-04-26 20:00 Mp-Ryan Note Added: 0009248
2008-04-27 18:13 Tolwyn Note Added: 0009252
2008-10-09 00:38 chief1983 Note Added: 0009878
2008-10-09 00:38 chief1983 Priority normal => high
2008-10-09 00:42 Zacam Note Added: 0009880
2008-10-09 01:15 taylor Note Added: 0009883
2008-10-09 04:49 Wanderer Note Added: 0009888
2008-12-10 15:42 chief1983 Note Added: 0010392
2008-12-10 15:42 chief1983 Status new => feedback
2008-12-18 17:31 chief1983 Note Added: 0010433
2008-12-18 17:31 chief1983 Priority high => low
2009-03-23 18:46 KeldorKatarn Note Added: 0010758
2009-05-08 12:57 portej05 Note Added: 0010872
2009-05-08 14:34 portej05 Note Edited: 0010872
2009-06-03 14:35 chief1983 Note Added: 0010938
2009-06-03 14:35 chief1983 Priority low => normal
2009-06-03 14:35 chief1983 Status feedback => new
2009-06-03 14:35 chief1983 Product Version => 3.6.11
2012-03-06 08:17 Echelon9 Note Added: 0013403
2012-03-06 08:17 Echelon9 Assigned To => Echelon9
2012-03-06 08:17 Echelon9 Status new => feedback
2012-03-06 11:15 chief1983 Note Added: 0013405
2012-04-03 09:58 Echelon9 Severity block => minor
2012-07-02 11:49 MjnMixael File Added: collisiontest.fs2
2012-07-02 11:49 MjnMixael Note Added: 0013795
2012-07-03 08:33 Echelon9 Note Added: 0013810
2012-07-03 08:33 Echelon9 Note Edited: 0013810 View Revisions
2012-07-03 09:36 MjnMixael Note Added: 0013812
2012-07-03 09:36 MjnMixael Note Edited: 0013812 View Revisions
2012-10-29 16:26 Echelon9 Note Added: 0014002
2012-10-29 16:26 Echelon9 Status feedback => resolved
2012-10-29 16:26 Echelon9 Fixed in Version => 3.6.14
2012-10-29 16:26 Echelon9 Resolution open => fixed
+Issue History